<p align="center">
    <a href="https://github.com/duncaneddy/pymdps/"><img src="https://raw.githubusercontent.com/duncaneddy/pymdps/main/docs/pages/assets/logo-with-text.png" alt="PyMDPs">
    </a>
</p>
<p align="center">
    <em>PyMDPs - Solving Markov Decision Processes in Python</em>
</p>
<p align="center">
    <a href="https://github.com/duncaneddy/pymdps/actions/workflows/ci.yml" target="_blank">
        <img src="https://github.com/duncaneddy/pymdps/actions/workflows/ci.yml/badge.svg" alt="Tests">
    </a>
    <a href="https://duncaneddy.github.io/pymdps" target="_blank">
        <img src="https://img.shields.io/badge/docs-latest-blue.svg" alt="Docs">
    </a>
    <a href="https://github.com/duncaneddy/pymdps/blob/main/LICENSE" target="_blank">
        <img src="https://img.shields.io/badge/License-MIT-green.svg", alt="License">
    </a>
</p>

----

Documentation: https://duncaneddy.github.io/pymdps

Rust Library Reference: https://docs.rs/crate/pymdps/latest

Source Code: https://github.com/duncaneddy/pymdps

----

# PyMDPs

PyMDPs is a Python library for working with Markov Decision Processes (MDPs) and other related models like Partially Observable MDPs (POMDPs). It is designed to be easy to use and flexible, with a focus on providing a clean and intuitive API for defining and solving MDPs.

## Features

- **Simple API**: PyMDPs provides a simple and intuitive API for defining MDPs and solving them using a variety of algorithms.
- **Modular Design**: PyMDPs is designed to be modular and extensible, making it easy to add new algorithms and features.
- **Well-Documented**: PyMDPs comes with comprehensive documentation and examples to help you get started quickly.
- **Open Source**: PyMDPs is open source and released under the MIT license, so you are free to use it for any purpose.

## Getting Started

For an introduction to PyMDPs and a guide on how to get started, check out the [Getting Started](getting_started/index.md) page.

To quickly install PyMDPs, you can use pip:

```bash
pip install pymdps
```

## Documentation

The full documentation for PyMDPs is available at https://duncaneddy.github.io/pymdps. The documentation includes a detailed API reference, examples, and tutorials to help you get started.